loci.plugins

## Class Slicer

- java.lang.Object
- - loci.plugins.Slicer

- All Implemented Interfaces:
    ij.plugin.filter.PlugInFilter

      public class Slicer
      extends java.lang.Object
      implements ij.plugin.filter.PlugInFilter

  A plugin for splitting an image stack into separate channels, focal planes and/or time points.
  Author:
    Melissa Linkert melissa at glencoesoftware.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `arg` Plugin options.
    `boolean` | `canceled` Flag indicating whether last operation was canceled.
    `private ij.ImagePlus` | `imp` Current image stack.

    - ### Fields inherited from interface ij.plugin.filter.PlugInFilter

      `CONVERT_TO_FLOAT, DOES_16, DOES_32, DOES_8C, DOES_8G, DOES_ALL, DOES_RGB, DOES_STACKS, DONE, FINAL_PROCESSING, KEEP_THRESHOLD, NO_CHANGES, NO_IMAGE_REQUIRED, NO_UNDO, NO_UNDO_RESET, PARALLELIZE_IMAGES, PARALLELIZE_STACKS, ROI_REQUIRED, SNAPSHOT, STACK_REQUIRED, SUPPORTS_MASKING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Slicer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private boolean` | `getBooleanValue(java.lang.String key)` Gets the value of the given macro key as a boolean.
    `private ij.ImageStack` | `makeStack(ij.ImageStack stack)` Returns a new ImageStack using the given ImageStack as a template.
    `static ij.ImagePlus` | `reorder(ij.ImagePlus imp, java.lang.String origOrder, java.lang.String newOrder)` Reorder the given ImagePlus's stack.
    `ij.ImagePlus[]` | `reslice(ij.ImagePlus imp, boolean sliceC, boolean sliceZ, boolean sliceT, java.lang.String stackOrder)`
    `void` | `run(ij.process.ImageProcessor ip)`
    `int` | `setup(java.lang.String arg, ij.ImagePlus imp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### canceled

          public boolean canceled

      Flag indicating whether last operation was canceled.

    - #### arg

          private java.lang.String arg

      Plugin options.

    - #### imp

          private ij.ImagePlus imp

      Current image stack.

  - ### Constructor Detail

    - #### Slicer

          public Slicer()

  - ### Method Detail

    - #### reslice

          public ij.ImagePlus[] reslice(ij.ImagePlus imp,
                                        boolean sliceC,
                                        boolean sliceZ,
                                        boolean sliceT,
                                        java.lang.String stackOrder)

    - #### reorder

          public static ij.ImagePlus reorder(ij.ImagePlus imp,
                                             java.lang.String origOrder,
                                             java.lang.String newOrder)

      Reorder the given ImagePlus's stack.

    - #### setup

          public int setup(java.lang.String arg,
                           ij.ImagePlus imp)

      Specified by:
        `setup` in interface `ij.plugin.filter.PlugInFilter`

    - #### run

          public void run(ij.process.ImageProcessor ip)

      Specified by:
        `run` in interface `ij.plugin.filter.PlugInFilter`

    - #### getBooleanValue

          private boolean getBooleanValue(java.lang.String key)

      Gets the value of the given macro key as a boolean.

    - #### makeStack

          private ij.ImageStack makeStack(ij.ImageStack stack)

      Returns a new ImageStack using the given ImageStack as a template.

Copyright © 2026 Open Microscopy Environment